> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a review invitation

> This endpoint lets you send an SMS to a customer to help them leave a message on Google.       You need to have `WRITE` access on the business.      
You can add `invite_content` in your payload to customize the SMS content that will be received by the recipient.      Otherwise, the template associated with the user will be used.      If no template exists, a new one will be generated.     
Your business needs to be connected to a Google location and subscribed to the Review Booster product.   Therefore, this cannot be tested in the Sandbox environment.    
To prevent spamming, a new SMS can be sent to a specific phone number only after 10 days since the last SMS was sent.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /review_booster/send_invitation
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /review_booster/send_invitation:
    post:
      tags:
        - Review Booster
      summary: Send a review invitation
      description: >
        This endpoint lets you send an SMS to a customer to help them leave a
        message on Google.       You need to have `WRITE` access on the
        business.      

        You can add `invite_content` in your payload to customize the SMS
        content that will be received by the recipient.      Otherwise, the
        template associated with the user will be used.      If no template
        exists, a new one will be generated.     

        Your business needs to be connected to a Google location and subscribed
        to the Review Booster product.   Therefore, this cannot be tested in the
        Sandbox environment.    

        To prevent spamming, a new SMS can be sent to a specific phone number
        only after 10 days since the last SMS was sent.
      operationId: sendReviewInvitation
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - business_id
                - target_phone
              properties:
                business_id:
                  $ref: '#/components/schemas/BusinessId'
                target_phone:
                  type: string
                  description: >-
                    Customer phone number, with the country calling code. Eg:
                    +33601020304
                target_name:
                  type: string
                  description: Customer fullname
                  maxLength: 255
                template_id:
                  type: integer
                  description: Id of the SMS template you want to use
                  deprecated: true
                invite_content:
                  type: string
                  description: >-
                    To customize SMS content instead of using the SMS template
                    associated with the user. Cannot be used in combination with
                    template_id. @link must be included in your payload
                    (corresponds to the dynamic link that will allow the SMS
                    recipient to leave a review on the business). Max 286
                    characters (unicode characters are not accepted - will be
                    removed)
                force:
                  type: string
                  description: >-
                    To force invitation sending when a SMS has already been sent
                    to the customer
                  enum:
                    - 'True'
                    - 'False'
                  default: 'False'
            examples:
              Using template:
                value:
                  business_id: 5409c35a97bbc544d8e26737
                  target_phone: '+33647385968'
                  target_name: John Doe
                  template_id: 31
              Using invite content:
                value:
                  business_id: 5409c35a97bbc544d8e26737
                  target_phone: '+33647385968'
                  target_name: John Doe
                  invite_content: >-
                    Hello, thank you for you visit ! Leave a review and tell us
                    more about your experience ! @link Thank you!
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  invitation_id:
                    $ref: '#/components/schemas/InvitationId'
                  status:
                    $ref: '#/components/schemas/RequestStatus'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    BusinessId:
      description: Business id
      type: string
      example: 5409c35a97bbc544d8e26737
    InvitationId:
      description: invitation id
      type: string
      example: d3d8c966-0356-4ec0-baae-13ec3622ebc2
    RequestStatus:
      description: Request status
      type: string
      enum:
        - success
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````